From: Timon Engelke <timon.engelke@online.de>
Date: Sat, 12 Mar 2022 18:54:42 +0100
Subject: Suppress deprecation warnings in other packages

Applied-Upstream: commit:4536b06268b99265c4ae8a52c826b397101d4995
---
 setup.cfg | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/setup.cfg b/setup.cfg
index 4ebd091..a51c4a4 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -49,6 +49,10 @@ zip_safe = true
 [tool:pytest]
 filterwarnings =
     error
+    # Suppress deprecation warnings in other packages
+    ignore:lib2to3 package is deprecated::scspell
+    ignore:SelectableGroups dict interface is deprecated::flake8
+    ignore:Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated::pyreadline
 junit_suite_name = colcon-metadata
 
 [options.entry_points]
